For the complete documentation index, see llms.txt. This page is also available as Markdown.

NLP

Looks up the vector definition for a word.

get
Path parameters
strSessionIDstringRequired

The session ID

wordstringRequired

Word to be looked up

Responses
200

Success

application/json

Response of a Get Word Vector request.

vectornumber · float[] · nullableOptional

Word vector.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/WordVector/{strSessionID}/{word}
GET /memori/v2/WordVector/{strSessionID}/{word} HTTP/1.1
Accept: */*
200

Success

{
  "vector": [
    1
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Searches for the 10 words most semantically similar words to the specified word.

get
Path parameters
strSessionIDstringRequired

The session ID

wordstringRequired

Word to be searcher for

Responses
200

Success

application/json

Response of a Get Similar Words request.

similarWordsstring[] · nullableOptional

List of similar words.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/SimilarWords/{strSessionID}/{word}
GET /memori/v2/SimilarWords/{strSessionID}/{word} HTTP/1.1
Accept: */*
200

Success

{
  "similarWords": [
    "text"
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Tries to guess the language of a sentence by analyzing keyword occurrences.

post
Path parameters
strSessionIDstringRequired

The session ID

Body

Specifications for requests requiring a sentence.

textstring · nullableOptional

Text of the sentence. Required.

Responses
200

Success

application/json

Response of a Guess Language request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/memori/v2/GuessLanguage/{strSessionID}
POST /memori/v2/GuessLanguage/{strSessionID} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
200

Success

{
  "languageGuesses": {
    "ANY_ADDITIONAL_PROPERTY": 1
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Computes the similarity between a reference and a comparison sentences.

post
Path parameters
strSessionIDstringRequired

The session ID

Body

Specifications for requests requiring a two sentences.

referenceTextstring · nullableOptional

Text of the reference sentence. Required.

referenceTextTypestring · nullableOptional

Type of reference text, i.e. question or answer. Required.
Only types supported are:

  • QUESTION
  • ANSWER

comparisonTextstring · nullableOptional

Text of the comparison sentence. Required.

comparisonTextTypestring · nullableOptional

Type of comparison text, i.e. question or answer. Required.
Only types supported are:

  • QUESTION
  • ANSWER

Responses
200

Success

application/json

Response of a Compute Sentences Similarity request.

similaritynumber · floatOptional

Similarity index, between 0.0 (totally different) and 1.0 (identical).

similarityLevelstring · nullableOptional

Similarity level, i.e. none, low, medium or high.
Currently supported similarity levels are:

  • NONE
  • LOW
  • MEDIUM
  • HIGH

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/memori/v2/ComputeSimilarity/{strSessionID}
POST /memori/v2/ComputeSimilarity/{strSessionID} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "referenceText": "text",
  "referenceTextType": "text",
  "comparisonText": "text",
  "comparisonTextType": "text"
}
200

Success

{
  "similarity": 1,
  "similarityLevel": "text",
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Checks the words of a sentence for their definition in the word vector dictionary.

post
Path parameters
strSessionIDstringRequired

The session ID

Body

Specifications for requests requiring a sentence.

textstring · nullableOptional

Text of the sentence. Required.

Responses
200

Success

application/json

Response of a Check Undefined Words request.

undefinedWordsstring[] · nullableOptional

List of words missing from the word vector dictionary.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/memori/v2/CheckWords/{strSessionID}
POST /memori/v2/CheckWords/{strSessionID} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
200

Success

{
  "undefinedWords": [
    "text"
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Checks a sentence for NSFW content.

post

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Body

Specifications for requests requiring a sentence.

textstring · nullableOptional

Text of the sentence. Required.

Responses
200

Success

application/json

Response of a Check NSFW request.

nsfwbooleanOptional

True if the checked content is considered NSFW.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post/memori/v2/CheckNSFW/{strSessionID}
POST /memori/v2/CheckNSFW/{strSessionID} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
200

Success

{
  "nsfw": true,
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Ultimo aggiornamento